function [lmd_diff,inner_prod] = test_tkp_eigenspaces(A_vals,A_vecs,B_vals,B_vecs,A_kron_B_vals,A_kron_B_vecs)

    [lmd_A, A_idx] = max(abs(A_vals));
    [lmd_B, B_idx] = max(abs(B_vals));
    [lmd_A_kron_B, A_kron_B_idx] = max(abs(A_kron_B_vals));


    lmd_diff = (abs(lmd_A)*abs(lmd_B) - abs(lmd_A_kron_B))/abs(lmd_A_kron_B);

    kron_prod = kron(B_vecs(:,B_idx)*sign(B_vecs(1,B_idx)),A_vecs(:,A_idx)*sign(A_vecs(1,A_idx)));

    inner_prod = dot(kron(B_vecs(:,B_idx),A_vecs(:,A_idx)),A_kron_B_vecs(:,A_kron_B_idx)*sign(A_kron_B_vecs(1,A_kron_B_idx)));
                    % kron args flipped bc MATLAB uses row-major.

end